Get Action
curl --request GET \
--url https://api.heralded.ai/v1/actions/{action_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/actions/{action_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/actions/{action_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/actions/{action_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/actions/{action_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/actions/{action_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"application": {
"applied_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"desired_value": {},
"effect": "<string>",
"failure_reason": "<string>",
"fix_kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planned_against_value": {},
"previous_value": {},
"provider": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"state": "<string>",
"verified_at": "2023-11-07T05:31:56Z"
},
"asset": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "piece",
"opening": "<string>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initials": "<string>",
"name": "<string>"
},
"state": "drafting",
"title": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
},
"assignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initials": "<string>",
"name": "<string>"
},
"blocked_owner": "<string>",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"check_again_on": "2023-12-25",
"checklist": [
"<string>"
],
"citation_count": 0,
"citations": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"content_piece": {
"citation_count": 0,
"citations": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"constraints": {
"deadline": "2023-12-25",
"links": 1,
"words": {
"max": 2,
"min": 2,
"stated": "about"
}
},
"destination_hosts": [
"<string>"
],
"draft_content": "<string>",
"draft_origin": "<string>",
"draft_version": 123,
"fields": [
{
"label": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"first_citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"format": "<string>",
"has_brief": false,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"images": {
"featured": {
"description": "<string>",
"earlier_results": [
{
"description": "<string>",
"failure_code": "<string>",
"failure_reason": "<string>",
"id": "<string>",
"image": {
"ai_generated": true,
"asset_id": "<string>",
"height": 123,
"origin": "generated",
"realistic_person": true,
"size_bytes": 123,
"version_id": "<string>",
"width": 123
},
"state": "<string>",
"style": "photo"
}
],
"failure_code": "<string>",
"failure_reason": "<string>",
"generation_state": "<string>",
"generations_left": 123,
"image": {
"ai_generated": true,
"asset_id": "<string>",
"height": 123,
"origin": "generated",
"realistic_person": true,
"size_bytes": 123,
"version_id": "<string>",
"width": 123
},
"shows_real_person": false,
"state": "<string>",
"style": "photo",
"suggested_description": "<string>",
"suggestion_state": "empty"
},
"social": {
"failure_code": "<string>",
"failure_reason": "<string>",
"image": {
"ai_generated": true,
"asset_id": "<string>",
"height": 123,
"origin": "generated",
"realistic_person": true,
"size_bytes": 123,
"version_id": "<string>",
"width": 123
},
"source": "card",
"state": "<string>",
"style": "mounted",
"style_override": "mounted"
}
},
"language": "<string>",
"published_url": "<string>",
"report": {
"questions": [
"<string>"
],
"references": [
{
"quote": "<string>",
"source": "<string>",
"verified": true
}
],
"resolved_questions": [
"<string>"
],
"sources": [
{
"kind": "<string>",
"ref": "<string>",
"text": "<string>",
"first_person": false,
"internal": false,
"observed_at": "<string>",
"revision": "<string>",
"subject": "<string>",
"support_kind": "<string>",
"unavailable_reason": "<string>",
"url": "<string>"
}
]
},
"stage": "<string>",
"title": "<string>",
"words": 123
},
"correspondence": {
"approved": {},
"article": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"by": "heralded",
"credits": 0,
"deadline": "2023-12-25",
"piece_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requirements": "<string>",
"revision_requested_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"sent_version": 123,
"stage": "member"
},
"asks_member": false,
"awaiting": {
"by": "2023-12-25",
"what": "<string>"
},
"away_until": "2023-12-25",
"closed": "no_reply",
"closed_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"email_count": 123,
"emails": [
{
"arrived_by": "<string>",
"attachments": [
{
"name": "<string>",
"size": 123
}
],
"body_format": "plain",
"direction": "in",
"email": "<string>",
"english_text": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"new_text": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"party_name": "<string>",
"reading": {
"agreed": false,
"answer": "yes",
"asks_payment": false,
"automatic": false,
"away_until": "2023-12-25",
"commitment": {
"by": "2023-12-25",
"what": "<string>"
},
"contact": {
"address": "<string>",
"name": "<string>"
},
"opt_out": false,
"published_url": "<string>",
"requests": [
{
"deadline": "2023-12-25",
"kind": "question",
"text": "<string>"
}
],
"said": "<string>",
"state": "pending"
},
"recipients": [
{
"address": "<string>",
"name": "<string>"
}
],
"sender": {
"address": "<string>",
"name": "<string>"
},
"subject": "<string>",
"text": "<string>"
}
],
"gaps": [
"<string>"
],
"goal": "named",
"mailbox": {
"address": "<string>",
"connected": true,
"daily_limit": 123,
"default_from": "<string>",
"reconnect_by": [
"<string>"
],
"send": {
"daily_limit": true,
"email": "<string>",
"from_address": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"sender": "<string>",
"state": "scheduled",
"version": 123
},
"sends_as": [
"<string>"
],
"time_zone": "<string>"
},
"next_email": "<string>",
"offers": [
{
"article_credits": 0,
"conditions": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decision": {
"amount": "<string>",
"currency": "<string>",
"option": 123,
"option_key": "<string>",
"way": "agree",
"writer": "them"
},
"email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"labelling": "<string>",
"made_by": "reading",
"needs_article": false,
"options": [
{
"amount": "<string>",
"article_credits": 0,
"change": "<string>",
"conditions": "<string>",
"currency": "<string>",
"deliverable": {
"description": "<string>",
"kind": "listing"
},
"duration": "<string>",
"includes": "<string>",
"key": "<string>",
"labelling": "<string>",
"needs_article": false,
"payment_due": "<string>",
"requirements": {
"deadline": "2023-12-25",
"links": 1,
"topic": "<string>",
"words": {
"max": 2,
"min": 2,
"stated": "about"
},
"words_asked": "<string>"
},
"terms": {
"brand_owes": [
{
"kind": "<string>",
"text": "<string>"
}
],
"conditions": "<string>",
"labelling": "<string>",
"payment_due": "upfront",
"requirements": {
"deadline": "2023-12-25",
"links": 1,
"topic": "<string>",
"words": {
"max": 2,
"min": 2,
"stated": "about"
},
"words_asked": "<string>"
}
},
"writer": "brand"
}
],
"payment_due": "<string>",
"state": "open",
"told_at": "2023-11-07T05:31:56Z",
"told_email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"ways": [
"agree"
]
}
],
"our_deadline": "2023-12-25",
"published_check": "<string>",
"published_url": "<string>",
"reminders": [
{
"angle": "<string>",
"answers": [
"<string>"
],
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "reminder_1",
"english_body": "<string>",
"from_address": "<string>",
"gaps": [
{
"index": 123,
"kind": "answer",
"label": "<string>",
"request_id": "<string>",
"target": "draft"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"revision_closed_at": "2023-11-07T05:31:56Z",
"revision_requested_at": "2023-11-07T05:31:56Z",
"turn": 0,
"type": "<string>",
"version": 123,
"written_by": "heralded"
}
],
"reopened_at": "2023-11-07T05:31:56Z",
"requests": [
{
"deadline": "2023-12-25",
"kind": "question",
"text": "<string>"
}
],
"sender": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"paused_at": "2023-11-07T05:31:56Z",
"paused_reason": "made_personal",
"pinned": false,
"state": "unset",
"who_sends": "member"
},
"state": {
"missed": "their_date",
"next_email": {
"approved": true,
"at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first": true,
"gaps": 0,
"held": "<string>",
"purpose": "<string>",
"sends": "heralded"
},
"obligations": [
{
"actionable": true,
"after": [
"<string>"
],
"due_on": "2023-12-25",
"due_source": "given",
"id": "<string>",
"kind": "<string>",
"option_key": "<string>",
"party": "us",
"settled_at": "2023-11-07T05:31:56Z",
"status": "open",
"waits_on": "<string>",
"what": "<string>"
}
],
"recipient": {
"address": "<string>",
"candidate": {},
"changeable": true,
"found_in": "<string>",
"name": "<string>",
"page_url": "<string>",
"proposed": {
"address": "<string>",
"name": "<string>"
},
"refused": {
"address": "<string>",
"message": "<string>",
"on": "2023-12-25",
"reason": "opt_out"
},
"written": false
},
"step": "<string>",
"wait": {
"acts": "heralded",
"due_on": "2023-12-25",
"due_source": "given",
"kind": "answer",
"on": "<string>",
"since": "2023-11-07T05:31:56Z"
},
"whose_move": "us"
},
"taken_over_at": "2023-11-07T05:31:56Z",
"thread_subject": "<string>",
"turn": "yours",
"waiting_for": "reminder",
"waiting_since": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"credit_cost": 123,
"credits_spent": 123,
"current_draft_version": 123,
"current_step": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"demand": "<string>",
"detail": "<string>",
"dismissal_reason": "not_now",
"dispatchable": true,
"done_when": "<string>",
"draft_in_flight": "drafting",
"drafts": [
{
"angle": "<string>",
"answers": [
"<string>"
],
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "reminder_1",
"english_body": "<string>",
"from_address": "<string>",
"gaps": [
{
"index": 123,
"kind": "answer",
"label": "<string>",
"request_id": "<string>",
"target": "draft"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"revision_closed_at": "2023-11-07T05:31:56Z",
"revision_requested_at": "2023-11-07T05:31:56Z",
"turn": 0,
"type": "<string>",
"version": 123,
"written_by": "heralded"
}
],
"ending": {
"at": "2023-11-07T05:31:56Z",
"key": "<string>",
"label": "<string>"
},
"evidence": {
"answers_link": {
"href": "<string>"
},
"prompts": [
{
"answer_count": 123,
"answers_link": {
"href": "<string>"
},
"named_count": 123,
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
]
},
"expected_impact_pts": 123,
"first_citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"fixed_pages": [
"<string>"
],
"focus": {
"id": "<string>",
"kind": "topic",
"name": "<string>"
},
"gain": {
"aims_at": "<string>",
"band": "high"
},
"gate": "approval",
"grounds": {
"cause": "<string>",
"evidence": [
{
"fact": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"measure": "<string>",
"url": "<string>"
}
],
"guidance": [
{
"checked_on": "2023-12-25",
"publisher": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"kind": "your_data",
"observed_at": "2023-11-07T05:31:56Z",
"targets": [
{
"engine": "<string>",
"kind": "prompt",
"language": "<string>",
"metric": "recommended",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"why": "<string>"
},
"group": "new",
"holder": "you",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impact_scale": "<string>",
"insight_links": [
{
"change": {},
"created_at": "2023-11-07T05:31:56Z",
"kind": "<string>",
"run_number": 123,
"statement": "<string>"
}
],
"job": {
"control": "dispatch",
"current": "<string>",
"endings": [
{
"confirm": {
"confirm_label": "<string>",
"question": "<string>"
},
"key": "<string>",
"label": "<string>",
"verb": "<string>"
}
],
"failure": "<string>",
"kind": "<string>",
"next_step": "<string>",
"runs_steps": true,
"stages": [
{
"doer": "heralded",
"done_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"label": "<string>",
"lane": "main",
"line": "<string>",
"status": "ahead"
}
],
"step": {
"hold_at_gate": true,
"label": "<string>"
},
"stopped_at": "<string>"
},
"kind": "<string>",
"kind_tag": "<string>",
"looks_resolved_evidence": {},
"member": "writer",
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"not_seen_since_run": 123,
"note": {
"how_well_know": "<string>",
"short_form": "<string>",
"what_i_need_from_you": "<string>",
"what_ill_do": "<string>",
"whats_happening": "<string>",
"why_it_matters": "<string>"
},
"outcome": "verified_up",
"pages": [
"<string>"
],
"pages_remaining": 123,
"paid_off_at": "2023-11-07T05:31:56Z",
"piece_preview": {
"draft_version": 123,
"format": "<string>",
"has_brief": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"published_url": "<string>",
"stage": "<string>",
"title": "<string>"
},
"placed_position": 123,
"platform": true,
"preview": "<string>",
"primary_verb": "dispatch",
"prompt_movement": "<string>",
"recipient": {
"address": "<string>",
"address_found_in": "author_page",
"address_page_url": "<string>",
"candidate": {},
"discovery": {
"message": "<string>",
"outcome": "unreadable"
},
"found_in": "json_ld",
"generic": false,
"page_url": "<string>",
"person": "<string>",
"role": "editorial",
"site_name": "<string>"
},
"results": {
"citation_count": 0,
"citations": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"connect": {
"href": "<string>",
"label": "Connect",
"sources": [
"search_console"
],
"state": "not_connected",
"summary": "<string>",
"tone": "neutral"
},
"engine_count": 0,
"first_citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"headline": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
},
"measured": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
},
"prompt_count": 0,
"results": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
],
"status_label": "Delivered",
"steps": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"label": "<string>",
"metric": "mentioned",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
],
"targeted_prompts": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
],
"warnings": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
],
"watching": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
]
},
"return_group": "new",
"route": "<string>",
"scheduled_for": "2023-12-25",
"secondary_verbs": [
"dispatch"
],
"segment": "<string>",
"settled_at": "2023-11-07T05:31:56Z",
"setup_link": {
"href": "<string>",
"label": "<string>"
},
"stage": "observe",
"started_at": "2023-11-07T05:31:56Z",
"state": "new",
"steps": [
{
"doer": "heralded",
"done_at": "2023-11-07T05:31:56Z",
"event_count": 0,
"events": [
{
"actor": "<string>",
"detail": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"line": "",
"occurred_at": "2023-11-07T05:31:56Z",
"repeat_count": 1,
"retry_after_failure": false,
"summary": "<string>",
"tone": "failure"
}
],
"key": "<string>",
"label": "<string>",
"lane": "main",
"line": "<string>",
"status": "ahead"
}
],
"target_entity": "<string>",
"targets": [
{
"answer_count": 123,
"answers_link": {
"href": "<string>"
},
"engine": "<string>",
"kind": "prompt",
"named_count": 123,
"text": "<string>",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"thread": [
{
"actor": "<string>",
"detail": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"line": "",
"occurred_at": "2023-11-07T05:31:56Z",
"repeat_count": 1,
"retry_after_failure": false,
"summary": "<string>",
"tone": "failure"
}
],
"title": "<string>",
"tracking": [
"live"
],
"trail": [
{
"at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"verified_impact_pts": 123,
"wait": {
"acts": "heralded",
"due_on": "2023-12-25",
"due_source": "given",
"kind": "answer",
"on": "<string>",
"since": "2023-11-07T05:31:56Z"
},
"waiting_since": "2023-11-07T05:31:56Z",
"write_language": "<string>",
"write_language_locked": false,
"write_language_source": "<string>",
"page": {
"key": "<string>",
"limit": 123,
"next_cursor": "<string>",
"offset": 123,
"total": 123
},
"section_totals": {},
"viewer": {
"approvable": true,
"assigned_to_you": false,
"kit": {
"body": "<string>",
"filename": "<string>",
"placement": "<string>"
},
"picks_up_work": false,
"redrafts_left": 123,
"sender_choices": {
"own_mail": true,
"shared": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"addresses": [
{
"address": "<string>",
"kind": "mailbox"
}
]
}
],
"yours": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"addresses": [
{
"address": "<string>",
"kind": "mailbox"
}
]
}
]
},
"sender_gap": "<string>",
"sender_owner_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_owner_first_name": "<string>",
"sender_suggestion": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>"
},
"thread": [
{
"actor_name": "<string>",
"by_viewer": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Actions
Get Action
One action as its pane reads it: state, verbs, job, costs, assignee, steps, thread,
draft versions, application, the scans that raised it and evidence, with its grounds,
done-when, what Heralded tracks and the trail of what happened since delivery. as_of
pins the evidence to a scan; the work itself is live.
GET
/
v1
/
actions
/
{action_id}
Get Action
curl --request GET \
--url https://api.heralded.ai/v1/actions/{action_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/actions/{action_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/actions/{action_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/actions/{action_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/actions/{action_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/actions/{action_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"application": {
"applied_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"desired_value": {},
"effect": "<string>",
"failure_reason": "<string>",
"fix_kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planned_against_value": {},
"previous_value": {},
"provider": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"state": "<string>",
"verified_at": "2023-11-07T05:31:56Z"
},
"asset": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "piece",
"opening": "<string>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initials": "<string>",
"name": "<string>"
},
"state": "drafting",
"title": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
},
"assignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initials": "<string>",
"name": "<string>"
},
"blocked_owner": "<string>",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"check_again_on": "2023-12-25",
"checklist": [
"<string>"
],
"citation_count": 0,
"citations": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"content_piece": {
"citation_count": 0,
"citations": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"constraints": {
"deadline": "2023-12-25",
"links": 1,
"words": {
"max": 2,
"min": 2,
"stated": "about"
}
},
"destination_hosts": [
"<string>"
],
"draft_content": "<string>",
"draft_origin": "<string>",
"draft_version": 123,
"fields": [
{
"label": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"first_citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"format": "<string>",
"has_brief": false,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"images": {
"featured": {
"description": "<string>",
"earlier_results": [
{
"description": "<string>",
"failure_code": "<string>",
"failure_reason": "<string>",
"id": "<string>",
"image": {
"ai_generated": true,
"asset_id": "<string>",
"height": 123,
"origin": "generated",
"realistic_person": true,
"size_bytes": 123,
"version_id": "<string>",
"width": 123
},
"state": "<string>",
"style": "photo"
}
],
"failure_code": "<string>",
"failure_reason": "<string>",
"generation_state": "<string>",
"generations_left": 123,
"image": {
"ai_generated": true,
"asset_id": "<string>",
"height": 123,
"origin": "generated",
"realistic_person": true,
"size_bytes": 123,
"version_id": "<string>",
"width": 123
},
"shows_real_person": false,
"state": "<string>",
"style": "photo",
"suggested_description": "<string>",
"suggestion_state": "empty"
},
"social": {
"failure_code": "<string>",
"failure_reason": "<string>",
"image": {
"ai_generated": true,
"asset_id": "<string>",
"height": 123,
"origin": "generated",
"realistic_person": true,
"size_bytes": 123,
"version_id": "<string>",
"width": 123
},
"source": "card",
"state": "<string>",
"style": "mounted",
"style_override": "mounted"
}
},
"language": "<string>",
"published_url": "<string>",
"report": {
"questions": [
"<string>"
],
"references": [
{
"quote": "<string>",
"source": "<string>",
"verified": true
}
],
"resolved_questions": [
"<string>"
],
"sources": [
{
"kind": "<string>",
"ref": "<string>",
"text": "<string>",
"first_person": false,
"internal": false,
"observed_at": "<string>",
"revision": "<string>",
"subject": "<string>",
"support_kind": "<string>",
"unavailable_reason": "<string>",
"url": "<string>"
}
]
},
"stage": "<string>",
"title": "<string>",
"words": 123
},
"correspondence": {
"approved": {},
"article": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"by": "heralded",
"credits": 0,
"deadline": "2023-12-25",
"piece_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requirements": "<string>",
"revision_requested_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"sent_version": 123,
"stage": "member"
},
"asks_member": false,
"awaiting": {
"by": "2023-12-25",
"what": "<string>"
},
"away_until": "2023-12-25",
"closed": "no_reply",
"closed_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"email_count": 123,
"emails": [
{
"arrived_by": "<string>",
"attachments": [
{
"name": "<string>",
"size": 123
}
],
"body_format": "plain",
"direction": "in",
"email": "<string>",
"english_text": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"new_text": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"party_name": "<string>",
"reading": {
"agreed": false,
"answer": "yes",
"asks_payment": false,
"automatic": false,
"away_until": "2023-12-25",
"commitment": {
"by": "2023-12-25",
"what": "<string>"
},
"contact": {
"address": "<string>",
"name": "<string>"
},
"opt_out": false,
"published_url": "<string>",
"requests": [
{
"deadline": "2023-12-25",
"kind": "question",
"text": "<string>"
}
],
"said": "<string>",
"state": "pending"
},
"recipients": [
{
"address": "<string>",
"name": "<string>"
}
],
"sender": {
"address": "<string>",
"name": "<string>"
},
"subject": "<string>",
"text": "<string>"
}
],
"gaps": [
"<string>"
],
"goal": "named",
"mailbox": {
"address": "<string>",
"connected": true,
"daily_limit": 123,
"default_from": "<string>",
"reconnect_by": [
"<string>"
],
"send": {
"daily_limit": true,
"email": "<string>",
"from_address": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"sender": "<string>",
"state": "scheduled",
"version": 123
},
"sends_as": [
"<string>"
],
"time_zone": "<string>"
},
"next_email": "<string>",
"offers": [
{
"article_credits": 0,
"conditions": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decision": {
"amount": "<string>",
"currency": "<string>",
"option": 123,
"option_key": "<string>",
"way": "agree",
"writer": "them"
},
"email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"labelling": "<string>",
"made_by": "reading",
"needs_article": false,
"options": [
{
"amount": "<string>",
"article_credits": 0,
"change": "<string>",
"conditions": "<string>",
"currency": "<string>",
"deliverable": {
"description": "<string>",
"kind": "listing"
},
"duration": "<string>",
"includes": "<string>",
"key": "<string>",
"labelling": "<string>",
"needs_article": false,
"payment_due": "<string>",
"requirements": {
"deadline": "2023-12-25",
"links": 1,
"topic": "<string>",
"words": {
"max": 2,
"min": 2,
"stated": "about"
},
"words_asked": "<string>"
},
"terms": {
"brand_owes": [
{
"kind": "<string>",
"text": "<string>"
}
],
"conditions": "<string>",
"labelling": "<string>",
"payment_due": "upfront",
"requirements": {
"deadline": "2023-12-25",
"links": 1,
"topic": "<string>",
"words": {
"max": 2,
"min": 2,
"stated": "about"
},
"words_asked": "<string>"
}
},
"writer": "brand"
}
],
"payment_due": "<string>",
"state": "open",
"told_at": "2023-11-07T05:31:56Z",
"told_email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"ways": [
"agree"
]
}
],
"our_deadline": "2023-12-25",
"published_check": "<string>",
"published_url": "<string>",
"reminders": [
{
"angle": "<string>",
"answers": [
"<string>"
],
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "reminder_1",
"english_body": "<string>",
"from_address": "<string>",
"gaps": [
{
"index": 123,
"kind": "answer",
"label": "<string>",
"request_id": "<string>",
"target": "draft"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"revision_closed_at": "2023-11-07T05:31:56Z",
"revision_requested_at": "2023-11-07T05:31:56Z",
"turn": 0,
"type": "<string>",
"version": 123,
"written_by": "heralded"
}
],
"reopened_at": "2023-11-07T05:31:56Z",
"requests": [
{
"deadline": "2023-12-25",
"kind": "question",
"text": "<string>"
}
],
"sender": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"paused_at": "2023-11-07T05:31:56Z",
"paused_reason": "made_personal",
"pinned": false,
"state": "unset",
"who_sends": "member"
},
"state": {
"missed": "their_date",
"next_email": {
"approved": true,
"at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first": true,
"gaps": 0,
"held": "<string>",
"purpose": "<string>",
"sends": "heralded"
},
"obligations": [
{
"actionable": true,
"after": [
"<string>"
],
"due_on": "2023-12-25",
"due_source": "given",
"id": "<string>",
"kind": "<string>",
"option_key": "<string>",
"party": "us",
"settled_at": "2023-11-07T05:31:56Z",
"status": "open",
"waits_on": "<string>",
"what": "<string>"
}
],
"recipient": {
"address": "<string>",
"candidate": {},
"changeable": true,
"found_in": "<string>",
"name": "<string>",
"page_url": "<string>",
"proposed": {
"address": "<string>",
"name": "<string>"
},
"refused": {
"address": "<string>",
"message": "<string>",
"on": "2023-12-25",
"reason": "opt_out"
},
"written": false
},
"step": "<string>",
"wait": {
"acts": "heralded",
"due_on": "2023-12-25",
"due_source": "given",
"kind": "answer",
"on": "<string>",
"since": "2023-11-07T05:31:56Z"
},
"whose_move": "us"
},
"taken_over_at": "2023-11-07T05:31:56Z",
"thread_subject": "<string>",
"turn": "yours",
"waiting_for": "reminder",
"waiting_since": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"credit_cost": 123,
"credits_spent": 123,
"current_draft_version": 123,
"current_step": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"demand": "<string>",
"detail": "<string>",
"dismissal_reason": "not_now",
"dispatchable": true,
"done_when": "<string>",
"draft_in_flight": "drafting",
"drafts": [
{
"angle": "<string>",
"answers": [
"<string>"
],
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "reminder_1",
"english_body": "<string>",
"from_address": "<string>",
"gaps": [
{
"index": 123,
"kind": "answer",
"label": "<string>",
"request_id": "<string>",
"target": "draft"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"revision_closed_at": "2023-11-07T05:31:56Z",
"revision_requested_at": "2023-11-07T05:31:56Z",
"turn": 0,
"type": "<string>",
"version": 123,
"written_by": "heralded"
}
],
"ending": {
"at": "2023-11-07T05:31:56Z",
"key": "<string>",
"label": "<string>"
},
"evidence": {
"answers_link": {
"href": "<string>"
},
"prompts": [
{
"answer_count": 123,
"answers_link": {
"href": "<string>"
},
"named_count": 123,
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
]
},
"expected_impact_pts": 123,
"first_citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"fixed_pages": [
"<string>"
],
"focus": {
"id": "<string>",
"kind": "topic",
"name": "<string>"
},
"gain": {
"aims_at": "<string>",
"band": "high"
},
"gate": "approval",
"grounds": {
"cause": "<string>",
"evidence": [
{
"fact": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"measure": "<string>",
"url": "<string>"
}
],
"guidance": [
{
"checked_on": "2023-12-25",
"publisher": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"kind": "your_data",
"observed_at": "2023-11-07T05:31:56Z",
"targets": [
{
"engine": "<string>",
"kind": "prompt",
"language": "<string>",
"metric": "recommended",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"why": "<string>"
},
"group": "new",
"holder": "you",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impact_scale": "<string>",
"insight_links": [
{
"change": {},
"created_at": "2023-11-07T05:31:56Z",
"kind": "<string>",
"run_number": 123,
"statement": "<string>"
}
],
"job": {
"control": "dispatch",
"current": "<string>",
"endings": [
{
"confirm": {
"confirm_label": "<string>",
"question": "<string>"
},
"key": "<string>",
"label": "<string>",
"verb": "<string>"
}
],
"failure": "<string>",
"kind": "<string>",
"next_step": "<string>",
"runs_steps": true,
"stages": [
{
"doer": "heralded",
"done_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"label": "<string>",
"lane": "main",
"line": "<string>",
"status": "ahead"
}
],
"step": {
"hold_at_gate": true,
"label": "<string>"
},
"stopped_at": "<string>"
},
"kind": "<string>",
"kind_tag": "<string>",
"looks_resolved_evidence": {},
"member": "writer",
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"not_seen_since_run": 123,
"note": {
"how_well_know": "<string>",
"short_form": "<string>",
"what_i_need_from_you": "<string>",
"what_ill_do": "<string>",
"whats_happening": "<string>",
"why_it_matters": "<string>"
},
"outcome": "verified_up",
"pages": [
"<string>"
],
"pages_remaining": 123,
"paid_off_at": "2023-11-07T05:31:56Z",
"piece_preview": {
"draft_version": 123,
"format": "<string>",
"has_brief": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"language": "<string>",
"published_url": "<string>",
"stage": "<string>",
"title": "<string>"
},
"placed_position": 123,
"platform": true,
"preview": "<string>",
"primary_verb": "dispatch",
"prompt_movement": "<string>",
"recipient": {
"address": "<string>",
"address_found_in": "author_page",
"address_page_url": "<string>",
"candidate": {},
"discovery": {
"message": "<string>",
"outcome": "unreadable"
},
"found_in": "json_ld",
"generic": false,
"page_url": "<string>",
"person": "<string>",
"role": "editorial",
"site_name": "<string>"
},
"results": {
"citation_count": 0,
"citations": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"connect": {
"href": "<string>",
"label": "Connect",
"sources": [
"search_console"
],
"state": "not_connected",
"summary": "<string>",
"tone": "neutral"
},
"engine_count": 0,
"first_citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"headline": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
},
"measured": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
},
"prompt_count": 0,
"results": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
],
"status_label": "Delivered",
"steps": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"label": "<string>",
"metric": "mentioned",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
],
"targeted_prompts": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
],
"warnings": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
],
"watching": [
{
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"at": "2023-11-07T05:31:56Z",
"citation": {
"answer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cited_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"engine_id": "<string>",
"mark_id": "<string>",
"prompt": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"display_name": "<string>",
"prompt": "<string>",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>",
"tone": "good"
}
]
},
"return_group": "new",
"route": "<string>",
"scheduled_for": "2023-12-25",
"secondary_verbs": [
"dispatch"
],
"segment": "<string>",
"settled_at": "2023-11-07T05:31:56Z",
"setup_link": {
"href": "<string>",
"label": "<string>"
},
"stage": "observe",
"started_at": "2023-11-07T05:31:56Z",
"state": "new",
"steps": [
{
"doer": "heralded",
"done_at": "2023-11-07T05:31:56Z",
"event_count": 0,
"events": [
{
"actor": "<string>",
"detail": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"line": "",
"occurred_at": "2023-11-07T05:31:56Z",
"repeat_count": 1,
"retry_after_failure": false,
"summary": "<string>",
"tone": "failure"
}
],
"key": "<string>",
"label": "<string>",
"lane": "main",
"line": "<string>",
"status": "ahead"
}
],
"target_entity": "<string>",
"targets": [
{
"answer_count": 123,
"answers_link": {
"href": "<string>"
},
"engine": "<string>",
"kind": "prompt",
"named_count": 123,
"text": "<string>",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"thread": [
{
"actor": "<string>",
"detail": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"line": "",
"occurred_at": "2023-11-07T05:31:56Z",
"repeat_count": 1,
"retry_after_failure": false,
"summary": "<string>",
"tone": "failure"
}
],
"title": "<string>",
"tracking": [
"live"
],
"trail": [
{
"at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"signal": "live",
"state": "good",
"summary": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"verified_impact_pts": 123,
"wait": {
"acts": "heralded",
"due_on": "2023-12-25",
"due_source": "given",
"kind": "answer",
"on": "<string>",
"since": "2023-11-07T05:31:56Z"
},
"waiting_since": "2023-11-07T05:31:56Z",
"write_language": "<string>",
"write_language_locked": false,
"write_language_source": "<string>",
"page": {
"key": "<string>",
"limit": 123,
"next_cursor": "<string>",
"offset": 123,
"total": 123
},
"section_totals": {},
"viewer": {
"approvable": true,
"assigned_to_you": false,
"kit": {
"body": "<string>",
"filename": "<string>",
"placement": "<string>"
},
"picks_up_work": false,
"redrafts_left": 123,
"sender_choices": {
"own_mail": true,
"shared": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"addresses": [
{
"address": "<string>",
"kind": "mailbox"
}
]
}
],
"yours": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"addresses": [
{
"address": "<string>",
"kind": "mailbox"
}
]
}
]
},
"sender_gap": "<string>",
"sender_owner_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_owner_first_name": "<string>",
"sender_suggestion": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>"
},
"thread": [
{
"actor_name": "<string>",
"by_viewer": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Query Parameters
Response
Successful Response
Why a member put the work away, while it stays put away. not_now defers it four weeks. too_much_work, not_relevant and already_done dismiss it, and not_relevant also stops Heralded suggesting that play for that target again. Null when no reason was given and once the work is restored.
Available options:
not_now, too_much_work, not_relevant, already_done